VIRT-IMAGE(1)

NAME
virt-image - create virtual machines from an image descriptor

SYNOPSIS
virt-image [OPTION]... IMAGE.XML

DESCRIPTION
WARNING: virt-image is planned for removal in the near future. If you are depending on this tool, please contact the developers at virt-tools-list@redhat.com

virt-image is a command line tool for creating virtual machines from an XML image descriptor "IMAGE.XML" (virt-image(5)). Most attributes of the virtual machine are taken from the XML descriptor (e.g., where the files to back the virtual machine's disks are and how to map them into the guest), though certain information must be added on the command line, such as the name of the guest.

The XML descriptor defines most attributes of the guest, making it possible to bundle and distribute it together with the files backing the guest's disks.

OPTIONS
Most options can be omitted, in which case virt-image will use defaults from the XML descriptor. When defaults are taken from the XML descriptor, they are indicated below as a path. --name is the only required command line option.

-h, --help
    Show the help message and exit

--version
    Show program's version number and exit

--connect=URI
    Connect to a non-default hypervisor. See virt-install(1) for details

  General Options
General configuration parameters that apply to all types of guest installs.

-n NAME, --name=NAME
    Name of the guest instance

--memory=MEMORY
    Memory to allocate for the guest, in megabytes. Defaults to "/image/devices/memory" in the XML descriptor. This deprecates the -r/--ram option.

    See virt-install(1) for more details.

--vcpus=VCPUS
    Number of vcpus to configure for your guest. Defaults to "/image/devices/vcpu" in the XML descriptor. This option can also be used to set CPU topology, please see virt-install(1) for more info.

--cpu
    Configure the CPU and CPU features exposed to the guest. Please see virt-install(1) for more info.

--os-variant=OS_VARIANT
    Optimize the guest configuration for a specific operating system (ex. 'fedora18', 'rhel7', 'winxp'). While not requires, specifying this options is HIGHLY RECOMMENDED, as it can greatly increase performance by specifying virtio among other guest tweaks. See virt-install(1) for valid values.

  Networking Configuration

-w NETWORK, --network=NETWORK
    Connect the guest to the host network. This deprecates the -m/--mac and -b/--bridge options. See virt-install(1) for details.

  Graphics Configuration
If no graphics option is specified, "virt-image" will default to '--graphics vnc' if the DISPLAY environment variable is set, otherwise '--graphics none' is used.

--graphics TYPE,opt1=arg1,opt2=arg2,...
    Specifies the graphical display configuration. This does not configure any virtual hardware, just how the guest's graphical display can be accessed. See virt-install(1) for details usage info.

    This deprecates the following options: --vnc, --vncport, --vnclisten, -k/--keymap, --sdl, --nographics

  Miscellaneous Options

--print-xml
    Print the libvirt XML, but do not start the guest.

--boot=BOOT
    The zero-based index of the boot record to use. The XML descriptor can contain multiple "/image/domain/boot" elements for use on different hypervisors. By default, the one that is most appropriate for the current hypervisor is selected.

--replace
    Shutdown and remove any existing guest with the passed "--name" before installing from the image.

--noreboot
    Prevent the domain automatically booting after importing the image.

--skip-checksum
    Do not check disk images against checksums (if they are listed in the image xml).

-d, --debug
    Print debugging information.

EXAMPLES
Create and start a guest called "example" with a VNC console from "image.xml":

  # virt-image --name example --vnc image.xml

Print the libvirt XML for a guest called "example" without graphics, but do not create or start a virtual machine:

  # virt-image --print --name example --nographics image.xml

BUGS
Please see http://virt-manager.org/page/BugReporting

COPYRIGHT
Copyright (C) Red Hat, Inc, and various contributors. This is free software. You may redistribute copies of it under the terms of the GNU General Public License "http://www.gnu.org/licenses/gpl.html". There is NO WARRANTY, to the extent permitted by law.

SEE ALSO
virt-image(5), virt-install(1), the project website "http://virt-manager.org"